Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/10917/?format=api
{ "ob_id": 10917, "uuid": "84898c2eeb91b9e3a9cd29ddf938665b", "title": "AATSR: Multimission land and sea surface data, v1.1", "abstract": "Advanced Along-Track Scanning Radiometer (AATSR) mission was funded jointly by the UK Department of Energy and Climate Change External Link (DECC) and the Australian Department of Innovation, Industry, Science and Research External Link (DIISR).\r\n\r\nThis dataset contains version 1.1 AATSR Multimission land and sea surface temperature data.\r\n\r\nThe instrument uses thermal channels at 3.7, 10.8, and 12 microns wavelength; and reflected visible/near infra-red channels at 0.555, 0.659, 0.865, and 1.61 microns wavelength. Level 1b products contain gridded brightness temperature and reflectance. Level 2 products contain land and sea-surface temperature, and NDVI at a range of spatial resolutions. The third reprocessing was done to implement updated algorithms, processors, and auxiliary files. The data were acquired by the European Space Agency's (ESA) Envisat satellite, and the NERC Earth Observation Data Centre (NEODC) mirrors the data for UK users.", "keywords": "AATSR, temperature, reflectance, satellite", "publicationState": "published", "dataPublishedTime": "2007-09-24T14:30:27", "doiPublishedTime": null, "updateFrequency": "asNeeded", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/10918/?format=api", "dataPath": "/neodc/aatsr_multimission/previous/aatsr-v1.1/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 13171000697654, "numberOfFiles": 170319, "fileFormat": "Data are netCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3029/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "The data were acquired by the European Space Agency's (ESA) Envisat satellite, and are now held by the NERC Earth Observation Data Centre (NEODC)", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/7272/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/19899/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/19734/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39228/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39233/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39227/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39230/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39231/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39232/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39234/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/39229/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/10921/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2521/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }